Status: Resolved Start date: 12/26/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version:
Description
I think, the following things regarding rsb_version could be changed:
    -  Rename to rsb_info (since more information than just the version is displayed)
    -  Use of Boost.ProgramOptions
        -  Make rsb-cpp depend on Boost.ProgramOptions
        -  Move rsb_info to cpp/tools sub-project
    -  Display wire-format version

Associated revisions
Revision c0622c69 - 01/07/2012 03:04 PM - J. Moringen
Use Boost.ProgramOptions in apps/rsbversion/rsbversion.cpp
fixes #782
    -  apps/rsbversion/rsbversion.cpp: added commandline flags (via

  Boost.ProgramOptions) which control display of individual
  information items

    -  CMakeLists.txt: added Boost.Program options to find_package(Boost)

History
#1 - 12/26/2011 07:56 PM - J. Moringen
- Category set to C++

#2 - 12/26/2011 07:56 PM - J. Moringen
- Tracker changed from Bug to Enhancement

#3 - 12/27/2011 07:56 PM - J. Wienke

I'm not sure that it is a good idea to move this binary to a subproject, which needs to be compiled separatey. Then, there is no more simple way to find
out the version of RSB with only the basic pakage being compiled and installed.

#4 - 01/07/2012 02:39 PM - J. Moringen
- Status changed from Feedback to In Progress
- % Done changed from 0 to 30

Johannes complained that rsb_version does not understand --version and since there are no other objections or suggestions, I will just let RSB depend
on Boost.ProgramOptions. I have a feeling that this may cause problem, though. But we'll see.

#5 - 01/07/2012 02:40 PM - J. Wienke

--help ;)
program options is ok to my mind.

#6 - 01/07/2012 02:45 PM - J. Moringen

Yeah, right. rsb_version --version will be supported for conformance reasons, though.

#7 - 01/07/2012 03:10 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

Applied in changeset r3218.
